Skip to main content
GET
/
variables
/
{id}
Get variable
curl --request GET \
  --url https://api.envless.cloud/variables/{id} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "code": 200,
  "message": "OK",
  "data": {
    "id": "<string>",
    "name": "DATABASE_URL",
    "value": "5J9k...==",
    "required": true,
    "environmentId": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.envless.cloud/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Personal access key from https://app.envless.cloud/keys. Pass as Authorization: Bearer ev_live_....

Path Parameters

id
string
required

The variable's unique ID.

Response

Variable object

success
boolean
Example:

true

code
integer
Example:

200

message
string
Example:

"OK"

data
object